Bug 1333741 - Review Request: php-nikic-fast-route - Fast implementation of a regular expression based router
Summary: Review Request: php-nikic-fast-route - Fast implementation of a regular expre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-06 09:30 UTC by Johan Cwiklinski
Modified: 2016-06-08 05:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-12 01:29:19 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (10.34 KB, text/plain)
2016-05-06 09:49 UTC, Remi Collet
no flags Details
review.txt (7.42 KB, text/plain)
2016-05-06 09:50 UTC, Remi Collet
no flags Details

Description Johan Cwiklinski 2016-05-06 09:30:09 UTC
Spec URL: http://odysseus.x-tnd.be/fedora/php-nikic-fastroute/php-nikic-fastroute.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-nikic-fastroute/php-nikic-fastroute-1.0.0-1.fc23.src.rpm
Description: Fast implementation of a regular expression based router
Fedora Account System Username: trasher

Comment 1 Remi Collet 2016-05-06 09:49:08 UTC
Created attachment 1154539 [details]
phpci.log

phpCompatInfo version 5.0.0 DB version 1.8.1 built May 03 2016  07:41:55 CEST static analyze results

Comment 2 Remi Collet 2016-05-06 09:50:21 UTC
Created attachment 1154541 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1333741
Buildroot used: fedora-rawhide-x86_64

Comment 3 Remi Collet 2016-05-06 09:51:25 UTC
Koji scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=13945108

[!]: Package is named according to the Package Naming Guidelines.
[!]: Final provides and requires are sane (see attachments).
	From composer.json 
	  "name": "nikic/fast-route",
	so %global pk_project   fast-route

Not blockers, just FYI (old EL-5 stuff)

[x]: Buildroot is not present
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Package has no %clean section with rm -rf %{buildroot} (or

Comment 4 Johan Cwiklinski 2016-05-06 10:04:59 UTC
Thanks for your comments :)

I've fixed package name. I do no plan this package for EL-5.

Spec URL: http://odysseus.x-tnd.be/fedora/php-nikic-fast-route/php-nikic-fast-route.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-nikic-fast-route/php-nikic-fast-route-1.0.0-2.fc23.src.rpm

Comment 5 Remi Collet 2016-05-06 10:08:22 UTC
-%global pk_project   fastroute
+%global pk_project   fast-route

-Release:        1%{?dist}
+Release:        2%{?dist}

+* Fri May 06 2016 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.0.0-2
+- Fix package name

[x]: Package is named according to the Package Naming Guidelines.
[x]: Final provides and requires are sane (see attachments).


No blocker.

=== APPROVED ===

Comment 6 Johan Cwiklinski 2016-05-06 10:11:37 UTC
Thank you very much for the review :)

Comment 7 Gwyn Ciesla 2016-05-06 16:54:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-nikic-fast-route

Comment 8 Fedora Update System 2016-05-06 21:23:29 UTC
php-nikic-fast-route-1.0.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-36dae62660

Comment 9 Fedora Update System 2016-05-06 21:23:35 UTC
php-nikic-fast-route-1.0.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4effa5019d

Comment 10 Fedora Update System 2016-05-06 21:23:39 UTC
php-nikic-fast-route-1.0.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d6d9d6bdcf

Comment 11 Fedora Update System 2016-05-07 16:21:40 UTC
php-nikic-fast-route-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-36dae62660

Comment 12 Fedora Update System 2016-05-07 16:55:21 UTC
php-nikic-fast-route-1.0.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4effa5019d

Comment 13 Fedora Update System 2016-05-07 17:26:31 UTC
php-nikic-fast-route-1.0.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d6d9d6bdcf

Comment 14 Fedora Update System 2016-05-12 01:29:16 UTC
php-nikic-fast-route-1.0.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-20 23:53:50 UTC
php-nikic-fast-route-1.0.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-06-08 05:20:48 UTC
php-nikic-fast-route-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.